Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.framework.util
Class Base64DecodingException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  com.stc.connector.framework.util.Base64DecodingException

All Implemented Interfaces:
  java.io.Serializable

public class Base64DecodingException
extends java.io.IOException

Exception that is thrown when an unexpected character is encountered during Base64 decoding. One could catch this exception and use the unexpected character for some other purpose such as including it with data that comes at the end of a Base64 encoded section of an email message.

Version:
  $Version$
Author:
  $Author: kgambrel $
See Also:
  Serialized Form

Constructor Summary
`Base64DecodingException(java.lang.String message, char c)` Construct an new exception.

Method Summary
`char` | `getChar()` Get the character that caused this error.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Base64DecodingException

    public Base64DecodingException(java.lang.String message,
                                   char c)

  Construct an new exception.

Parameters:
  `message` - message later to be returned by a getMessage() call.
  `c` - character that caused this error.

Method Detail

### getChar

    public char getChar()

  Get the character that caused this error.

  Returns:
    the character that caused this error.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD